VBIDataDescriptor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.st436

## Interface VBIDataDescriptor

- All Superinterfaces:
    AAFFileDescriptor, DataEssenceDescriptor, EssenceDescriptor, InterchangeObject, MediaEntity, MetadataObject
  All Known Implementing Classes:
    VBIDataDescriptorImpl

      public interface VBIDataDescriptor
      extends DataEssenceDescriptor

  Descriptor for VBI frame elements. When VBI packets exist in an MXF file, the appropriate descriptor shall be present in the file. The descriptor shall be associated with a data track using the mechanisms defined in SMPTE 377M.

  The type of data carried in the VBI data is determined packet-by-packet in the packet itself, as specified in SMPTE ST 0291 and its associated register.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `VBIDataDescriptor` | `clone()` Create a cloned copy of this VBI data descriptor.

    - ### Methods inherited from interface tv.amwa.maj.model.DataEssenceDescriptor

      `getDataEssenceCoding, setDataEssenceCoding`

    - ### Methods inherited from interface tv.amwa.maj.model.AAFFileDescriptor

      `getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, setCodec, setContainerFormat, setEssenceLength, setLinkedTrackID, setSampleRate`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### clone

          VBIDataDescriptor clone()

      Create a cloned copy of this VBI data descriptor.

      Specified by:
        `clone` in interface `AAFFileDescriptor`
      Specified by:
        `clone` in interface `DataEssenceDescriptor`
      Specified by:
        `clone` in interface `EssenceDescriptor`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this VBI data descriptor.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.